> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/authentication/get-application-configs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # List all application configs GET https://example.itential.io/config/apps Returns all application configs in Itential Platform. Reference: https://docs.itential.com/itential-cloud/api-reference/authentication/get-application-configs ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Query parameters - `exclude` (list of enum, optional) — Fields to exclude from the returned application configs - Allowed values: `methods`, `topics`, `views` ## Response ### 200 Contains the configuration of all applications. - `list of object` - `id` (string, optional) - `export` (string, optional) - `title` (string, optional) - `type` (string, optional) - `summary` (string, optional) - `pdb` (boolean, optional) - `roles` (list of string, optional) - `methods` (list of object, optional) - `name` (string, optional) - `description` (string, optional) - `summary` (string, optional) - `deprecated` (boolean, optional) - `roles` (list of string, optional) - `route` (object, optional) - `path` (string, optional) - `verb` (string, optional) - `input` (list of object, optional) - `output` (object, optional) - `views` (list of object, optional) - `src` (string, optional) - `encrypted` (boolean, optional) - `version` (string, optional) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json [ { "id": "string", "export": "string", "title": "string", "type": "string", "summary": "string", "pdb": true, "roles": [ "string" ], "methods": [ { "name": "string", "description": "string", "summary": "string", "deprecated": true, "roles": [ "string" ], "route": { "path": "string", "verb": "string" }, "input": [ {} ], "output": {} } ], "views": [ {} ], "src": "string", "encrypted": true, "version": "string" } ] ``` **SDK Code** ```python import requests url = "https://example.itential.io/config/apps" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/config/apps'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/config/apps" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/config/apps") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/config/apps") .asString(); ``` ```php request('GET', 'https://example.itential.io/config/apps'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/config/apps"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/config/apps")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```